/* prepare (uncompresses) fixpak files for updcd.cmd              */
/* 05.13.2000: initial version (0.1)                              */

parse arg fpdir

if fpdir = '' then do
	say 'Uncompresses fixpak files.'
	say 'Usage: prpfp.cmd <fixpak directory>'
	exit 1
end

tmpfp = '$tmpfp$.txt'
'@dir /N 'fpdir' > 'tmpfp

/* scanning fixpak directory */
do while lines(tmpfp)
	l=linein(tmpfp)
	parse var l directory of w1 w2 w3
	if directory = 'Directory' & of = 'of' then d = space(w1)
	if datatype(w1) = 'NUM' & datatype(w2) = 'NUM' then do
		ffp = d||'\'||space(w3)
		pfp = d||'\.'
		say 'Unpacking 'ffp
		'@unpack 'ffp pfp'>NUL 2>>&1'
		'@del 'ffp
	end
end
rc=lineout(tmpfp)
'@del 'tmpfp

exit
